%global momorel 2

Summary: browsing the objects in a PDF file
Name:    podofobrowser
Version: 0.5.99
Release: 0.20080416.%{momorel}m%{?dist}
Group:   Applications/Publishing
License: GPL
URL:     http://podofo.sourceforge.net/
#Source0: http://dl.sourceforge.net/sourceforge/podofo/%{name}-%{version}.tar.gz
#NoSource: 0
Source0: podofobrowser-0.5.99.rev795.tar.bz2
Patch0: podofobrowser-0.5-gcc43.patch
Requires: podofo qt
BuildRequires: podofo-devel >= 0.5.99
BuildRequires: qt-devel fontconfig-devel freetype-devel
Buildroot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
PoDoFoBrowser is a Qt application for browsing the objects in a PDF file and modifying their keys easily. It is very useful if you want to look on the internal structure of PDF files.

%prep
%setup -q

%patch0 -p1 -b .gcc43~

%build
cmake \
    -G "Unix Makefiles" \
    -DPODOFO_USE_VISIBILITY=1 \
    -DCMAKE_BUILD_TYPE=RELEASE \
    -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} .
make

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install

## desktop
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=PoDoFoBrowser
GenericName=PoDoFoBrowser - PDF Structure Browser
Comment=PDF Structure Browser
Exec=podofobrowser
Terminal=false
Type=Application
Icon=
EOF
# install desktop file
desktop-file-install --vendor= \
  --dir %{buildroot}%{_datadir}/applications \
  --remove-category Application \
    --add-category Utility \
    ./%{name}.desktop


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README INSTALL AUTHORS COPYING TODO
%{_bindir}/*
#%{_datadir}/pixmaps/*
%{_datadir}/applications/*.desktop

%changelog
* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.5.00-0.20080416.2m)
- rebuild against qt-4.4.0-1m

* Wed Apr 16 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5.99-0.20080416.1m)
- update to svn-trunk version (rev 795)

* Tue Apr 15 2008 Masayuki SANO <nosanosa@momonga-linux.org>
- (0.5-1m)
- import to Momonga
- add patch for gcc43, generated by gen43patch(v1)

